package com.ho.flow.service.process.service;


import com.ho.common.tools.util.PageResult;
import com.ho.flow.entity.ProcessTemplate;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
* @author yule
* @description 针对表【process_template】的数据库操作Service
* @createDate 2023-08-17 10:45:32
*/
public interface ProcessTemplateService {

    /**
     * 新增流程模板对象
     * @param processTemplate
     */
    void add(ProcessTemplate processTemplate);

    /**
     * 删除流程模板对象
     * @param processTemplate
     */
    void delete(ProcessTemplate processTemplate);


    /**
     * 修改流程模板对象
     * @param processTemplate
     */
    void edit(ProcessTemplate processTemplate);

    /**
     * 根据id查询流程模板
     * @param id
     * @return
     */
    ProcessTemplate getInfo(Integer id);

    /**
     * 分页查询流程模板对象
     * @param processTemplate
     * @return
     */
    PageResult<ProcessTemplate> selectPage(ProcessTemplate processTemplate);



    void getBpmn(HttpServletResponse response,Integer id) throws IOException;

    /**
     * 下拉查询
     * @param processTemplate
     * @return
     */
    List<ProcessTemplate> selectList(ProcessTemplate processTemplate);
}
